/*************

gravity forms styling
gebruik: sz-tic voor vierkante
gebruik: sz-radio voor ronde

**************/
.sz-tic input,
.sz-radio input{
    opacity: 0;
    min-height: 25px;
    min-width: 25px;
}

.sz-tic ul li,
.sz-radio ul li{
    overflow: initial!important;
}

.sz-tic ul li label,
.sz-radio ul li label{
    padding-left: 30px!important;
    padding-top: 3px!important;
    position: absolute;
    left: 0;
    top: 0;
}

.sz-tic ul li label::before,
.sz-radio ul li label::before{
    content: "";
    display: inline-block;
    height: 25px;
    width: 25px;
    border: 1px solid #e6e6e6;
    transition: 200ms all linear;
}
.sz-radio ul li label::before{
    border-radius: 100%;
}

.sz-tic ul li label::after{
    content: "";
    display: inline-block;
    height: 14px;
    width: 20px;
    border-left: 2px solid #de0566;
    border-bottom: 2px solid #de0566;
    transform: rotate(-45deg);
    transition: 200ms all linear;
    left: 3px;
    top: 5px;
}
.sz-radio ul li label::after{
    content: "";
    display: inline-block;
    height: 15px;
    width: 15px;
    border-radius: 15px;
    background-color: #de0566;
    transition: 200ms all linear;
    left: 5px;
    top: 8px;
}
.sz-tic ul li label::before,
.sz-tic ul li label::after,
.sz-radio ul li label::before,
.sz-radio ul li label::after{
    position: absolute;
}

.sz-tic ul li label::before,
.sz-radio ul li label::before{
    top: 3px;
    left: 0px;
}

.sz-tic input[type="checkbox"] + label::after,
.sz-radio input[type="radio"] + label::after {
    content: none;
}

.sz-tic input[type="checkbox"]:checked + label::after,
.sz-radio input[type="radio"]:checked + label::after {
    content: "";
}
.sz-tic input[type="checkbox"]:checked + label::before,
.sz-radio input[type="radio"]:checked + label::before {
    border: 1px solid #de0566;
}


body .gform_legacy_markup_wrapper li.gfield_error input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]), 
body .gform_legacy_markup_wrapper li.gfield_error textarea,
body .sz-contact-form input,
body .sz-contact-form textarea {
    border-radius: 0;
    padding: 6px 12px !important;
    font-size: 14px
}

body .gform_legacy_markup_wrapper ul.gform_fields li.gfield {
    padding-right: 0;
}

body .gform_legacy_markup_wrapper div.validation_error {
    display: none;
}

body .gform_legacy_markup_wrapper.gform_validation_error .gform_body ul li.gfield.gfield_error:not(.gf_left_half):not(.gf_right_half) {
    border: 0;
    background:0;
    margin: 0;
}

body .gform_legacy_markup_wrapper .field_description_below .gfield_description {
    padding-top: 5px;
}

body .gform_legacy_markup_wrapper .gform_footer input.button, 
body .gform_legacy_markup_wrapper .gform_footer input[type=submit], 
body .gform_legacy_markup_wrapper .gform_page_footer input.button, 
body .gform_legacy_markup_wrapper .gform_page_footer input[type=submit] {
    padding: 10px 20px !important;
}

.sz-form {
    .gform_required_legend {
        display: none;
    }
    .uabb-gf-style .gform_wrapper .gform_footer input[type=submit] {
        border-radius: 0;
        width: 185px;
    }
    .gform_validation_errors {
        display: none;
    }
    .validation_message {
        background: transparent !important;
        padding:0 !important;
        border: 0 !important;
        margin: 0 !important;
    }
    .gform_wrapper .gfield.gfield_error {
        padding: 0 !important;
        border: 0 !important;
        height: auto;
        margin-top: 0;
    }

}

.sz-form.leaflet {

    input[type="text"],
    input[type="email"]
    {
        color: white !important;
    }

    .sz-consent {
        position: relative;
        top: -100%;
    }
    .gform-footer {
        float: right;
        width: 33.3%;
        padding-left: 20px !important;
        position: relative;
        top: -82px;
    }
    .gform_wrapper .gfield_error input:not([type='radio']):not([type='checkbox']):not([type='submit']):not([type='button']):not([type='image']):not([type='file']) {
        border-bottom: 1px solid red;
    }

}


